GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
syscall_group_desc Struct Reference

## Public Member Functions
| syscall_group_desc (const std::string &name_)

## Public Attributes
std::string | name
std::vector< syscall_desc * > | syscalls

## Detailed Description

Definition at line 115 of file xml-syscall.c.

## Constructor & Destructor Documentation

## ◆ syscall_group_desc()

syscall_group_desc::syscall_group_desc | ( | const std::string & | name_ | ) |
| inline

Definition at line 117 of file xml-syscall.c.

Referenced by syscall_group_create_syscall_group_desc().

## Member Data Documentation

## ◆ name

std::string syscall_group_desc::name

Definition at line 123 of file xml-syscall.c.

## ◆ syscalls

std::vector<syscall_desc *> syscall_group_desc::syscalls

Definition at line 128 of file xml-syscall.c.

Referenced by syscall_group_add_syscall(), and xml_list_syscalls_by_group().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xml-syscall.c